API reference OpenAPI 3.1
GET /idv/providers

IDV provider catalog (native vendor capabilities + env names)

Bearer API key or staff session operation idvProviders

Request

This endpoint has no request body.

curl "$MONICHEK_API/idv/providers" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/idv/providers`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/idv/providers",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/idv/providers');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK providers application/json
{
  "object": "list",
  "data": [
    {
      "id": "mock",
      "configured": true,
      "id_types": [
        "bvn",
        "nin",
        "passport",
        "drivers_licence",
        "voters_card"
      ]
    },
    {
      "id": "prembly",
      "configured": false,
      "id_types": [
        "bvn",
        "nin",
        "passport",
        "drivers_licence",
        "voters_card",
        "cac"
      ],
      "env": {
        "apiKey": "MONICHEK_PREMBLY_API_KEY"
      }
    }
  ]
}